/* name		: meta-press.css
 * SPDX-FileCopyrightText: 2017-2020  Simon Descarpentries, simon /\ acoeuro [] com
 * SPDX-License-Identifier: GPL-3.0-only
 * date		: 2017-06, 2020-09
 */
/* latin & latin-ext */
@font-face {
	font-family: 'Amatic SC';
	font-style: normal;
	font-weight: 400;
	src: local('Amatic SC Regular'), local('AmaticSC-Regular'), url(font/AmaticSC-Regular.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215, U+0100-024F, U+0259, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
/* latin & latin-ext */
 @font-face {
	font-family: 'Amatic SC';
	font-style: bold;
	font-weight: 400;
	src: local('Amatic SC Bold'), local('AmaticSC-Bold'), url(../font/AmaticSC-Bold.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215, U+0100-024F, U+0259, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
:root {
	--dark-normal-background: black;
	--dark-frame-background: rgb(50,50,50);
	--light-normal-background: white;
	--light-frame-background: #F0F0F0;
	--mp-turquoise: #00D0C0;
	/* --mp-turquoise: #007969; */
	--mp-dark-turquoise: #007969;
	--background: var(--dark-normal-background);
	--turquoise-background: var(--mp-dark-turquoise);
	--foreground: #DDD;
	--frame-background: var(--dark-frame-background);
	--a-color: var(--mp-turquoise);
	--light-gray: #999;
	--dark-gray: #666;
	--mp-gray: var(--light-gray);
}
html, body {
	background: var(--background);
	color:var(--foreground);
	height:100%;
	font-family: Sans, sans-serif
}
.container { min-height:81.5% }
a, .a {
	color: var(--a-color) !important;
	/*text-decoration: none !important;*/
}
a:hover, .a:hover, .black_a:hover {
	cursor:pointer;
}
.black_a:hover {
	text-decoration:underline;
}
h1, .h1, h2, .h2{
	margin:0;
}
h3, .h3 {
	font-weight:normal;
	margin: 0.5ex 0
}
h1, .h1, h2, .h2, h3, .h3 {
	font-family:'Amatic SC', Sans, sans-serif;
}
h1, .h1 { font-size:800%; }
h2, .h2 { font-size:275%; color:gray; }
h3, .h3 { font-size:175%; }
/* h4, .h4 { font-size:125%; } */
h4, .h4, h5, .h5, h6, .h6 {
	margin-top: 0.5ex;
	margin-bottom: 0.5ex;
}
p, ul { margin:0 }
.bold {	font-weight: bold }
.add_src, .add_auto_s {padding:2px 4px!important; text-decoration:none;}
button {font-size:14px}
.btn {
	background-color:var(--background);
	box-shadow:1px 1px var(--mp-gray);
	padding:0 0.5ex;
	margin:0.5ex 0;
	display: inline-block;
	font-weight: normal;
	text-align: center;
	vertical-align: middle;
	touch-action: manipulation;
	cursor: pointer;
	background-image: none;
	border: 1px solid var(--turquoise-background);
	white-space: nowrap;
	font-size: 14px;
	line-height: 1.42857143;
	border-radius: 4px;
	user-select: none;
}
/* .hide { --> use directly .style.display = 'none';
	display:none;
} */
/**	Override Bootstrap's default container. **/
/* @media (min-width: 1200px) { .container { width: 970px; } } */
/**	Masthead for nav */
.blog-masthead {
	background-color: var(--turquoise-background);
	-webkit-box-shadow: inset 0 -2px 5px rgba(0,0,0,.1);
	box-shadow: inset 0 -2px 5px rgba(0,0,0,.1);
}
#meta_press_logo, .center_content {text-align:center}
.big {text-size:150%}
/**	Nav links * */
.blog-nav-item {
	position: relative;
	display: inline-block;
	padding: 10px;
	color:black !important;
	font-family:'Amatic SC', Sans, sans-serif;
	font-weight:bold;
	font-size:20px;
}
#tooltips_help:hover ~ span {
	display:inline!important;
	color:black !important;
}
#mp_import_RSS:hover,
#mp_import_JSON:hover,
#mp_import_ATOM:hover {
}
#mp_import_RSS { padding-right:0; }
#mp_import_JSON, #mp_import_ATOM, .no_padding { padding:0!important; }
/**	Active state gets a caret at the bottom **/
.blog-nav .active,
.blog-nav-item:focus {
	font-weight:bold !important;
	color:black !important;
}
.blog-nav .active:after {
	position: absolute;
	bottom: 0;
	left: 50%;
	width: 0;
	height: 0;
	margin-left: -5px;
	vertical-align: middle;
	content: " ";
	border-right: 5px solid transparent;
	border-bottom: 5px solid;
	border-left: 5px solid transparent;
}
/**	Blog name and description **/
#headlines {
	padding:1ex;
	border-left:solid 1px var(--foreground);
	border-bottom:solid 1px var(--foreground);
	border-radius: 5px;
	height:24ex;
}
#load_headlines { float:right; }
#headlines .list { margin-bottom:1ex; }
#headlines .pagination { clear:both; }
.blog-title {
	margin-bottom: -0.4ex;
	font-weight: bold;
}
.blog-description {
	font-weight: normal;
	color: var(--mp-gray);
	margin-bottom:0.25ex;
}
#headlines ul {
	float:left;
	padding:0;
	max-width:100%;
}
/* .f_icon {float} */
#mp_headlines_page_sizes {
	clear:both;
	color: var(--mp-gray);
	width:100%;
	text-align:right;
}
/**	Main column and sidebar layout **/
.blog-main {
	font-size: 18px;
	line-height: 1.5; }
/* Sidebar modules for boxing content */
.sidebar-module { padding: 15px; }
.sidebar-module-inset {
	padding: 1ex;
	padding-top: 1em;
	background-color: var(--frame-background);
	border: 1px solid #D0D0D0;
	border-radius: 4px; }
.sidebar-module-inset p:last-child,
.sidebar-module-inset ul:last-child,
.sidebar-module-inset ol:last-child {
	margin-bottom: 0; }
/* Select */
.has-no-choices, .has-no-results, .choices__item--choice::after{
	display: none;
}
.choices__list--dropdown .choices__item--selectable {
	padding-right: 0 !important;
	font-size: 15px !important;
	font-weight: bold !important;
}
.choices__inner{
	padding: 5px 5px 2.5px !important;
}
.choices__inner, .choices__input, .choices__list{
	background-color: var(--frame-background) !important;
}
.is-disabled .choices__inner {
	cursor: not-allowed !important;
	border: dashed 1px black;
}
.choices__list--dropdown {z-index: 10 !important;}
.choices__list--dropdown .choices__item--selectable.is-highlighted {
	background-color: var(--mp-dark-turquoise) !important;
	color: var(--background);
}
.choices__list--multiple .choices__item{
	background-color: var(--mp-dark-turquoise) !important;
	border-color: var(--background) !important;
	color: var(--background) !important;
	padding: 0px 4px !important;
	font-size: 14px !important;
	border-radius: 5px !important;
	display:inline-flex !important;
}
.choices__button{
	border-left: 0 !important;
	background-size: 0 !important;
	padding: 0 !important;
	line-height: 0 !important;
	margin: 0 0 0 2px !important;
}
.choices__button::after{
	content: " ✖" !important;
	text-indent: 0 !important;
	display: block !important;
	line-height: initial !important;
}
input.choices__input{
	max-width: 23% !important;
}
.choices__item[aria-selected=true] small{display: none}
/* Pagination */
.pager {
	margin-bottom: 60px;
	text-align: left;
}
.pager > li > a {
	width: 140px;
	padding: 10px 20px;
	text-align: center;
	border-radius: 30px;
	color:black !important;
}
.pagination > li > a,
.pagination > li.disabled > a
{
	border-color:var(--turquoise-background);
	background-color:transparent;
}
.pagination > li > a:hover,
.pagination > li > a:focus,
.pagination .active a:hover,
.pagination .active a:focus,
.pagination .active a
{
	font-weight:bold;
	border-color:var(--turquoise-background);
	background-color:var(--turquoise-background);
	border-width:2px;
	color:black !important;
}
/**	Blog posts **/
.blog-post { margin-bottom: 60px }
.blog-post-title { margin-bottom: 5px; font-size: 40px }
.blog-post-meta {
	margin-bottom: 20px;
}

/**	Footer **/
.blog-footer {
	padding: 2em 0;
	color: var(--mp-gray);
	text-align: center;
	background-color: var(--frame-background);
	border-top: 1px solid #C0C0C0; }
.blog-footer p:last-child {
	margin-bottom: 0; }

/** Findings	**/
#mp_query, #mp_submit {
	font-size:20px;
	font-weight:bold;
	margin-bottom:0!important;
	margin-top:1em;
}
#mp_query::-moz-placeholder {
	font-style:italic;
	font-weight:normal;
	font-size:80%
}

#mp_query {
	width: 85%;
	padding: 10px;
	background: transparent;
	border-radius: 10px 0 0 10px;
	border: 1px solid var(--turquoise-background);
	box-shadow:0px 1px 1px 0px var(--mp-gray);
	height: 5ex;
}
@media only screen and (max-width: 445px) {
	#mp_query {
		width: calc(100% - 60px);
	}
}
#mp_submit {
	background-color: transparent;
	border-radius: 0 10px 10px 0;
	border: 2px solid var(--turquoise-background);
	box-shadow:1px 1px 1px 1px var(--mp-gray);
	width:15%;
	min-width:60px;
	height: 5ex;
	color: #fff;
	float:right;
}
#mp_submit:hover, #save_custom_sources:hover {
	border:4px solid var(--turquoise-background)
}
#mp_submit[disabled] {
	background-color:lightgray !important;
	/* border:2px solid gray !important; */
	border: dashed 1px black;
}
#save_custom_sources {
	padding:1ex;
	margin:0 1ex 1ex 0;
	background-color:var(--mp-dark-turquoise);
	border-radius:4px;
	border:0px;
	color:white;
}
#mp_stop {
	margin-top:1ex;
}
#reset_custom_sources {
	margin-top:0;
}
#mp_stop, #reset_custom_sources {
	margin-right:1ex;
	margin-bottom: 1ex;
	margin-left:0;
	padding:0.5ex;
	background-color: var(--background);
	color: var(--foreground);
	border-radius: 5px;
}
.choices:after {
		content: '';
		height: 0;
		width: 0;
		border-style: solid;
		border-color: var(--foreground) transparent transparent transparent !important;
		border-width: 5px;
		position: absolute;
		right: 11.5px;
		top: 50%;
		margin-top: -2.5px;
		pointer-events: none;
	}
.choices.is-open:after {
		border-color: transparent transparent var(--foreground) transparent !important;
		margin-top: -7.5px;
	}
#mp_filter, #mp_clear_filter {
	margin-top:1em;
	margin-bottom:1.25ex;
	padding:1ex;
	background-color: var(--frame-background);
	border: 1px solid #D0D0D0;
}
#mp_clear_filter {
	border-radius: 0 4px 4px 0;
	margin-left:-0.5ex;
	color: var(--mp-gray);
	border-left:none;
	width:11%;
	float:right;
}
#mp_clear_filter:hover { color:red }
#mp_filter {
	border-right:none;
	border-radius: 4px 0 0 4px;
	width:89%;
}
#mp_query_search_terms { font-weight:bold }
.img_RSS {
	max-width:2ex;
	vertical-align:sub;
	margin-right:0.5ex;
}
.list, .pagination { list-style-type:none }
.pagination { text-align: center }
.pagination li {
	display:inline-block;
	margin-right: 1ex;
}
.f_txt {
	margin-left:30px;
	text-align:justify;
	max-height:15ex;
	overflow-y:hidden;
	/*resize:vertical;*/ /* set by JavaScript only when elt isOverflown */
}
.f_txt:focus,
.f_txt:hover {
	max-height:100%;
	overflow:visible;
}
img.f_img[src=""]{ display:none !important; }
img.f_img {
	max-width:18ex;
	max-height:15ex;
	float:left;
	margin:0.5ex 1ex 0 30px;
	text-align:left;
	width:auto;
	height:auto
}
.f_txt .load_img {
	float:left;
	margin-right:1ex
}
#findings > ul.list > li { display:flow-root }
#result_list { margin-left:-40px }
.f_url { font-weight: bold }
.f_selection {
	display:none; /* re-init in js/meta-press.es:105 */
	/* kept here in case of JavaScript execution failure */
	/* bigger Checkboxes */
	-ms-transform: scale(1.5); /* IE */
	-moz-transform: scale(1.5); /* FF */
	-webkit-transform: scale(1.5); /* Safari and Chrome */
	-o-transform: scale(1.5); /* Opera */
	margin-left:0.5ex;
	float:left;
}
.mp_export_choices { display:none; }
.f_metadata {
	font-size:12px;
	color: var(--mp-gray);
	margin-left:30px;
	margin-top:-0.5ex;
	overflow:hidden;
	text-overflow:ellipsis;
	white-space:nowrap;
	display:inline-block;
	width:100%;
}
.f_by:not(:empty)::before,
.f_source:not(:empty)::after
{	content:" – " }
#no_results { text-align:center }
.mf_title { text-align:left; }
.mf_title, .mf_remove_source, .mf_ext_link {
	margin-top:0;
}
.mf_ext_link[href=""] {
	display:none
}
.mf_name, #result_list h4 {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}
.mf_nb {
	float:right;
	color:var(--foreground);
}
#mf_date_filters {list-style:none}
#mf_date_filters li { padding: 0 1ex }
#mf_date_filters li:hover {
	background-color: var(--frame-background) !important;
	border-color: #D0D0D0
}
#meta-findings {padding-right:0!important}
#meta-findings ul {padding:0}
.mf_dt_overflow,
.header-inner {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	width:100%;
}
.src_name_overflow {
	width: 50%;
	/*float:left;*/
	overflow: hidden;
	white-space: nowrap;
	text-overflow:ellipsis;
}
.mf_dt_filter {
	height:3ex;
	display:none;
}
.mf_dt_overflow {
	text-overflow: '';
	width:63%;
	direction:rtl;
	text-align:right;
	margin-bottom:1.33ex;
}
.mf_dt_lbl {
	float:left;
	width:35%;
}
#mp_export_results {
	float:right;
	margin-top:1.25ex;
	margin-bottom:1.25ex;
	padding:1ex;
	text-align:right;
}
.row {margin-right: 0 !important}
#search_stats {text-align:center}
.right {float:right}
#filter_sources {display:inline-block}
#tags_handle {
	font-family:sans-serif;
	margin: 0 9px 9px 9px;
}
.cur_tag_sel_nb {
	font-style:italic;
	color: var(--mp-gray);
	margin-left: 15px;
}
#reset_tag_sel, .add_auto_s, .add_src {font-style:normal}
.tags_col {padding-right:0 !important}
.red {color:red}
.error {color:red; background:#FFCCCC}
.valid {color:green; background:#CCFFCC}
.grey {color:grey}
.green {color:green}
.black {color:var(--foreground)}
b.black {font-size:120%;}
.CodeMirror, code {
	background-color: var(--frame-background) !important;
	height:330px!important
}
#cog_settings {
	float:right!important;
	/*padding:0!important;*/
}
#cog_settings:before {
	content:"⚙";
	/*font-size:200%!important;*/
	margin-right:0.33ex;
	line-height:2ex;
}
.loadersmall,
#waiting_anim {
	/* not used anymore */
	/* border: 5px solid #f3f3f3; */
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
	border-top: 5px solid var(--turquoise-background);
	border-radius: 50%;
	width: 50px;
	height: 50px;
}
.center { margin: 0 auto }
/* Dev Tools */
#mp_dev{
	background: var (--mp-dark-turquoise);
	color: black;
}
#mp_goto_input {color:var(--turquoise-background)!important}
#mp_goto_input:focus {color:black!important}
/* Schedule Search */
#automatic_search table {border-collapse: collapse;}
#automatic_search tr td, #automatic_search tr th{
	border-bottom: 1px solid var(--foreground);
}
#automatic_search tr th:nth-of-type(2) { min-width:16ex }
#automatic_search tr th:nth-of-type(2) { min-width:16ex }
#automatic_search tr th:nth-of-type(3) { min-width:16ex }
#automatic_search tr th:nth-of-type(4) { min-width:36ex }
#automatic_search tr:last-child td{border-bottom:none}

#automatic_search td,#automatic_search th {
	padding: 5px 5px;
	text-align:center;
}
#automatic_search a {text-decoration:none;}
#automatic_search input, #automatic_search select {
	color: #000;
}
#automatic_search .duplicate img { margin-top:0.5ex}
#automatic_search .sch_sea_url {vertical-align:bottom !important}
#automatic_search button,
#automatic_search .sch_sea_url { height:24px!important}
#automatic_search .save_date:disabled {
	cursor: not-allowed !important;
	border: dashed 1px black;
}
/* Timezone settings */
#tz_p label{
	display: flex;
	flex-direction: row;
	align-items: center;
}
#welcome_h2 {margin-top:0.5ex}
#settings ~ p .choices {
	padding-left : 4px;
	width: 17em;
	margin-top: 4px;
}
#settings ~ p .choices__inner {
	min-height: 0 !important;
}
.liberapay-btn {
	background-color: #f6c915;
	border-radius: 4px;
	color: #1a171b;
	display: inline-block;
	font-family: Helvetica Neue,Helvetica,sans-serif;
	font-size: 14px;
	font-weight: 700;
	line-height: 22px;
	padding: 5px 7px 3px;
	position: relative;
	text-decoration: none;
}
.liberapay-btn:hover {
	background-color: #fbce1a;
}
.liberapay-btn > svg {
	position: absolute;
	left: 7px;
	top: 7px;
}
.liberapay-btn > span {
	margin-left: 19px;
	color: #1a171b;
}
.patreon_link {
	-moz-box-align: center;
	align-items: center;
	backface-visibility: hidden;
	background-color: rgb(255, 66, 77);
	border-radius: 9999px;
	border: 1px solid rgb(255, 66, 77);
	box-sizing: border-box;
	color: rgb(255, 255, 255) !important;
	cursor: pointer;
	display: inline-flex;
	font-size: 0.875rem !important;
	/* font-weight:bold; */
	font-weight: 700;
	height: unset;
	-moz-box-pack: center;
	justify-content: center;
	padding: 0.46875rem 1rem;
	position: relative;
	pointer-events: unset;
	text-align: center;
	text-decoration: none;
	text-transform: none;
	transition: all 300ms cubic-bezier(0.19, 1, 0.22, 1) 0s;
	user-select: none;
	white-space: unset;
}

/* TEST SOURCES */
#mp_display_result_test {
	display: flex;
	flex-wrap: wrap;
}
#mp_display_result_test a {
	text-decoration: none;
	padding: 3px;
	font-size: 20px
}
#mp_display_result_test .success {
	color: green !important;
	background: none;
}
#mp_display_result_test .warning {
	color:orange !important;
	background: none;
}
#mp_display_result_test .error {
	color:red !important;
	background: none;
}
#mp_display_result_test .default {
	color:grey !important;
	background: none;
}
